Loading...
Searching...
No Matches
Magick::DrawableMiterLimit Class Reference
Inheritance diagram for Magick::DrawableMiterLimit:

## Public Member Functions

| DrawableMiterLimit (size_t miterlimit_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | miterlimit (size_t miterlimit_)
size_t | miterlimit (void) const

## Private Attributes

size_t | _miterlimit

## Detailed Description

Definition at line 1830 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableMiterLimit()

Magick::DrawableMiterLimit::DrawableMiterLimit | ( | size_t | miterlimit_ | ) |

inline

Definition at line 1833 of file Drawable.h.

: _miterlimit(miterlimit_)
{ }

## ~DrawableMiterLimit()

Magick::DrawableMiterLimit::~DrawableMiterLimit | ( | void |  | ) |

Definition at line 1313 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableMiterLimit::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1321 of file Drawable.cpp.

{
return new DrawableMiterLimit(*this);
}

## miterlimit() [1/2]

void Magick::DrawableMiterLimit::miterlimit | ( | size_t | miterlimit_ | ) |

inline

Definition at line 1845 of file Drawable.h.

{
_miterlimit = miterlimit_;
}

## miterlimit() [2/2]

size_t Magick::DrawableMiterLimit::miterlimit | ( | void |  | ) | const

inline

Definition at line 1849 of file Drawable.h.

{
return _miterlimit;
}

## operator()()

void Magick::DrawableMiterLimit::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1316 of file Drawable.cpp.

{
DrawSetStrokeMiterLimit( context_, _miterlimit );
}

## Field Documentation

## _miterlimit

size_t Magick::DrawableMiterLimit::_miterlimit

private

Definition at line 1855 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp